//Copyright S.M.Taylor 2016
//Released under by-nc-sa Non-Commercial Share Alike 
//http://creativecommons.org/licenses/by-nc-sa/2.5/
#include "Keyboard.h"
int lockpin = 13;
bool oldstate=false;
bool debugmode=false;
bool keystate=false;
char outchar=' ';
const int acctrip = 200;
const int restrip = 400;
const int rettrip = 600;
const int onlimit = 700;
const int offlimit = 890;
void setup() {
  pinMode(lockpin,INPUT_PULLUP); //no need for a pullup.
  // open the serial port 
  Serial.begin(9600);
}

void loop() {
  int analogValue = analogRead(A0);
  debugmode=digitalRead(lockpin);
  if (debugmode==false) 
    Keyboard.begin();
   else
    Keyboard.end(); 
  if (analogValue>offlimit) 
    keystate=false;
    else keystate=true;
  if (oldstate != keystate)
     {oldstate=keystate;
      if (debugmode==false)
       Keyboard.write('c');
       else
       Serial.println ('c');
     }  
 
  if ((analogValue <= onlimit)&&(analogValue>=acctrip))  
   {if (analogValue>rettrip) outchar='8';
      else if (analogValue >restrip) outchar='7';
       else if (analogValue>acctrip) outchar='9';
      
    if (debugmode==false)
      Keyboard.write(outchar);
      else
      {Serial.print(outchar);
       Serial.print("  ");
       Serial.println(analogValue);
       };
    }
    //analogvalue in keyscan limit
      else
      {Serial.print("No char ");
      Serial.println(analogValue);
      }
      
    delay(200);
}
